# Wetter Plus #

* Autor: Adriano Barbieri
* NVDA-Kompatibilität: 2017.3 und neuer
* [Stabile Version herunterladen][1]

# INFORMATIONEN ZU WEATHER PLUS: #

* Dieses Plugin fügt die Anzeige der aktuellen Wetterbedingungen und
  Vorhersagen für 24 Stunden und bis zu 2 zusätzlichen Tagen sowie die stündliche Wettervorhersage zu NVDA hinzu.
* Copyright (C) [Adriano Barbieri](mailto:adrianobarb@yahoo.it)
* Freigegeben unter der GNU GPL (General Public License) v2
* Wetter Plus arbeitet durch die Nutzung und Präsenz folgender Dienste:
* [https://www.weatherapi.com/](https://www.weatherapi.com/)
* [http://www.geonames.org/](http://www.geonames.org/)
* [https://api.open-meteo.com/v1/elevation/](https://api.open-meteo.com/v1/elevation/)
* [https://www.nvda.it/](https://www.nvda.it/)

# VERWENDUNG: #

* Drücken Sie NVDA+W, um Informationen über die aktuellen Temperatur- und
  Wetterbedingungen zu erhalten.
* Drücken Sie NVDA+Shift+W, um eine 24-Stunden-Vorhersage und eine Vorhersage von bis zu 2 Tagen zu erhalten.
* Drücken Sie zweimal NVDA+Umschalt+W, um eine stündliche Vorhersage der Temperatur und der atmosphärischen Bedingungen zu erhalten.
* Drücken Sie NVDA+Umschalt+Strg+W, um eine temporäre Stadt festzulegen.
* Drücken Sie NVDA+Umschalt+Strg+Alt+W, um die Einstellungwn von Weather Plus zu öffnen.
* Drücken Sie NVDA+Alt+W, um das Datum und die Uhrzeit zu erhalten, zu der der Wetterbericht aktualisiert wurde.
* Drücken Sie Strg+Umschalt+W, um zwischen den Temperaturskalen Fahrenheit, Celsius oder Kelvin umzuschalten.

# Weather Plus-Einstellungen: #

* Einstellungen und Stadtverwaltung...
	* Zeigt das Einstellungsfenster für Weather Plus an.
* Dokumentation
	* Öffnet den Ordner mit den Hilfedateien für die aktuelle Sprache
* Nach Updates suchen...
	* Benachrichtigt, ob Updates zur Verfügung stehen.

Um eine neue Stadt hinzuzufügen: klicken Sie auf den folgenden Eintrag:

* Städte verwalten - Zeigt die aktuelle Stadt aus einer Liste an oder
  ermöglicht sie einzustellen.
* Die folgende Meldung wird nur beim ersten Mal angezeigt! Einstellungen,
  Voreinstellung oder Keine. F1: Hilfe, F2: Letzte TAB-Auswahl, F3: Liste
  und Bearbeitungsfeld, F4: Dauer der Wettervorhersage, F5:
  Lautstärkeregler.
  Geben Sie im Bearbeitungsfeld eine Stadt ein oder wählen Sie
  eine aus der Liste aus, falls verfügbar. Hinweis: Die F5-Taste ist
  verfügbar, wenn die Sound-Effekte aktiviert sind.
* Nachdem Sie die Eingabetaste auf dem Punkt "Städte verwalten" gedrückt
  haben, finden Sie weitere Schaltflächen wie folgt:
* Testen - Testet die Gültigkeit des WOE-ID-Eintrags und finden Sie den
  Namen der zugewiesenen Stadt oder umgekehrt.
* Hinzufügen - Fügt die aktuelle Stadt in der Liste hinzu. Diese
  Schaltfläche kann aktiviert werden, wenn Sie eine Stadt aus der Liste
  ausgewählt haben, wenn die eingegebene Stadt den Test bestanden hat.
* Informationen - Zeigt Informationen über die aktuelle Stadt an. Diese
  Schaltfläche wird aktiviert, wenn Sie eine Stadt aus der Liste auswählen
  oder wenn diese den Test bestanden hat.
* Festlegen - Ermöglicht den Bereich zu definieren, um die Sound-Effekte
  anzupassen. Diese Schaltfläche kann aktiviert werden, wenn diese
  installiert und aktiviert sind und Sie eine Stadt aus der Liste auswählen.
* Voreingestellung - Legt eine Stadt als Standard fest, wird bei jedem
  Neustart der Erweiterung verwendet. Diese Schaltfläche wird aktiviert,
  wenn Sie eine zuvor in die Liste übernommene und nicht voreingestellte
  Stadt auswählen oder der Test nicht bestanden wurde.
* Entfernen - Löscht die aktuelle Stadt aus Ihrer Liste. Diese Schaltfläche
  kann aktiviert werden, wenn Sie eine zuvor in die Liste eingefügte Stadt
  auswählen.
* Umbenennen - Benennen Sie die aktuelle Stadt um. Diese Schaltfläche kann
  aktiviert werden, wenn Sie eine zuvor in die Liste eingefügte Stadt
  auswählen.
* Städte importieren - Mit dieser Schaltfläche können Sie Städte aus einer
  anderen Liste von Städten mit der Erweiterung *.zipcodes importieren; Sie
  können die zu importierende Stadt auswählen, indem Sie das zugehörige
  Kontrollkästchen aktivieren.
* Städte exportieren - Sie können un die Städte in der Datei mit der
  Erweiterung *.zipcodes speichern. Diese Schaltfläche wird aktiviert, wenn
  Sie mindestens eine Stadt in die Liste vorhanden ist.
* stündliche Vorhersage... - Mit dieser Schaltfläche können Sie den Inhalt der stündlichen Vorhersage auswählen.
* Temperaturskala: Verwenden Sie die Auswahlschalter, um Celsius (Standard),
  Fahrenheit oder Kelvin auszuwählen.
* Grad-Einheit anzeigen als: Verwenden Sie den Auswahlschalter, um die
  verschiedenen Grad-Einheiten auszuwählen: Celsius `-` Fahrenheit `-`
  Kelvin (Standard), C `-` F `-` K oder Nicht angeben.
* Kombinationsfeld: Wettervorhersagen bis zu Tagen: 1. Sie können zwischen
  ein bis 3 wählen (Standard ist 1 Tage)
* Kombinationsfeld: API-Antwortsprache:: Englisch, en; Sie können die Sprache des Wetterbedingungenstextes wählen.
* Um die folgenden Aktionen durchzuführen, können Sie die folgenden
  Kontrollkästchen ein- oder ausschalten:
* Wetterbericht und Wettervorhersage einschließlich der Stadt-Informationen
  in die Zwischenablage kopieren, dieses Kontrollkästchen ist standardmäßig
  nicht aktiviert.
* Sound-Effekte nur für die aktuellen Wetterbedingungen aktivieren. Mit
  diesem Kontrollkästchen können Sie auch die Installation von
  Sound-Effekten verwalten. Wenn die Sound-Effekte installiert sind und das
  Kontrollkästchen aktiviert ist, ist die F5-Taste und die
  Lautstärke-Einstellung verfügbar.
* Es wird auch eine zusätzliche Kontrolfeld zur Verfügung stehen: "Nur
  Wettereffekte verwenden".
* Sie können die Gesamtlautstärke ändern oder den zuletzt gehörten
  Sound-Effekt ändern und die anderen Geräusche in Ihrer Umgebung
  herausfiltern. Das Kontrollfeld ist standardmäßig nicht aktiviert.
* Nur Wettereffekte verwenden - Diese Option ist verfügbar, wenn
  Sound-Effekte aktiviert sind. Wenn diese aktiviert ist, können nur
  Wettereffekte wie Regen, Wind, Donner, etc. gehört werden, wobei alle
  Umgebungseffekte herausgefiltert werden (ist standardmäßig nicht
  aktiviert).
* Zeigt die Ausgabe in einem Fenster an;
  Wenn aktiviert, wird die Vorhersage in einem Fenster angezeigt. Kontrollkästchen nicht aktiviert (standardmäßig)
* 24-Stunden-Format. Wenn dieses Kontrollkästchen nicht markiert ist, wird
  die Uhrzeit im 12-Stunden-Format angegeben, z. B. 12 Uhr morgens `-` 12
  Uhr abends. Das Kontrollkästchen ist standardmäßig aktiviert.
* Schaltflächen in den Einstellungen. Dieses Kontrollfeld ist standardmäßig
  aktiviert.
* Windinformationen ausgeben. Das Kontrollkästchen ist standardmäßig nicht
  aktiviert. Wenn dieses Kontrollfeld aktiviert ist, können Sie auch die
  folgenden Felder aktivieren:
* Windrichtung ergänzen. Gibt die Herkunft des Windes an. Das Kontrollfeld
  ist standardmäßig nicht aktiviert.
* Windgeschwindigkeit ergänzen. Gibt die Geschwindigkeit in Kilometern oder
  Meilen pro Stunde an. Das Kontrollfeld ist standardmäßig aktiviert.
* Windgeschwindigkeit in Meter pro Sekunde ergänzen. Das Kontrollfeld ist
  standardmäßig aktiviert.
* Gefühlte Temperatur ergänzen. Das Kontrollfeld ist standardmäßig
  aktiviert.
* Geschwindigkeit der Windböen ergänzen; Kontrollkästchen aktiviert (standardmäßig)
* Atmosphärische Informationen ausgeben. Das Kontrollfeld ist standardmäßig
  nicht aktiviert. Wenn es aktiviert ist, können Sie auch die folgenden
  Kontrollfelder aktivieren:
* Wert für Luftfeuchtigkeit ergänzen. Gibt die Feuchtigkeit in Prozent
  an. Das Kontrollfeld ist standardmäßig aktiviert.
* Wert für Sichtweite ergänzen. Geben Sie die sichtbare Entfernung in
  Kilometern oder Meilen an. Das Kontrollfeld ist standardmäßig aktiviert.
* Wert für Luftdruck ergänzen. Gibt den Luftdruck in Millibar oder Zoll
  Quecksilber an. Wenn es markiert ist, aktivieren Sie ein zusätzliches
  Kontrollkästchen, mit dem Sie den Luftdruck in Millimetern Quecksilber
  angeben können. Das Kontrollkästchen ist standardmäßig aktiviert.
* Trübungswert ergänzen; Kontrollkästchen aktiviert (standardmäßig)
* Niederschlagswert ergänzen; Kontrollkästchen aktiviert (standardmäßig)
* Wert der ultravioletten Strahlung ergänzen; Kontrollkästchen aktiviert (standardmäßig)
* Astronomische Informationen ausgeben; gibt die Zeit des Sonnenauf- und -untergangs sowie die Zeit des Mondauf- und -untergangs an. Kontrollkästchen nicht markiert (standardmäßig)
* Verwenden Sie das Komma, um Dezimalstellen zu trennen. Wenn es aktiviert
  ist, wird das Komma als Dezimaltrennzeichen verwendet, andernfalls wird
  der Punkt verwendet. Das Kontrollfeld ist standardmäßig nicht aktiviert.
* Nach Updates suchen. Wenn aktiviert, wird bei einem Update der Erweiterung
  eine Warnung ausgegeben. Kontrollfeld standardmäßig aktiviert.
* Drücken Sie OK, um Ihre Änderungen zu speichern, oder Abbrechen, um sie zu
  verwerfen.
* Wenn Sie die Liste der Städte geändert haben, werden Sie durch Klicken auf
  "Abbrechen" daran erinnert und Sie können sie immer noch
  speichern. Hinweis: Ihre Einstellungen werden in der genannten Datei
  gespeichert:
* "Weather.ini": Start-Einstellungen von Wetter Plus.
* "Weather.volumes": Benutzerdefinierte Lautstärkepegel, unabhängig von der
  Gesamtlautstärke.
* "Weather.zipcodes": Liste der Städte mit Postleitzahl und Definitionen.
* "Weather.default": ihre Standard-Stadt.
* "Weather_searchkey": Ihre gespeicherten Suchbegriffe.

--------------------------------------------------------------------------------

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=Weather_Plus

