# Weather Plus #

* Autor: Adriano Barbieri
* Compatibilidad con NVDA: de 2017.3 hasta más allá
* Descargar: [versión estable][1]

# ACERCA DE WEATHER PLUS: #

* Este complemento añade la temperatura local y el pronóstico del tiempo
  actual a 24 horas y la predicción hasta 2 días adicionales y el pronóstico horario para NVDA.
* Copyright (C) [Adriano Barbieri](mailto:adrianobarb@yahoo.it)
* Liberado bajo la licencia GNU GPL (General Public License) v2
* Weather Plus funciona a través del uso y la presencia de los siguientes
  servicios:
* [https://www.weatherapi.com/](https://www.weatherapi.com/)
* [http://www.geonames.org/](http://www.geonames.org/)
* [https://api.open-meteo.com/v1/elevation/](https://api.open-meteo.com/v1/elevation/)
* [https://www.nvda.it/](https://www.nvda.it/)

# USO: #

* Pulsar NVDA+w para obtener la información acerca de la temperatura actual
  y para las condiciones del tiempo.
* Pulsar NVDA+shift+W para obtener el pronóstico del tiempo a 24 horas y la
  predicción hasta 2 días.
* Pulsar NVDA+Shift+W dos veces para obtener el pronóstico horario de la temperatura y para las condiciones atmosféricas.
* Pulsar NVDA+shift+control+w para configurar una ciudad temporal.
* Pulsar NVDA+shift+control+alt+w para abrir el cuadro de diálogo
  Configuración de Weather Plus.
* Pulsar NVDA+alt+w para obtener la fecha y la hora de la última
  actualización del boletín meteorológico.
* Pulsar Control+shift+w para conmutar la escalas de temperatura entre
  Fahrenheit, Celsius o Kelvin.

# Configurar Weather Plus: #

* ¡Debe configurar el complemento Weather Plus antes de su primer uso! Ir al submenú Preferencias, submenú Weather Plus Configuración y elija una de las siguientes opciones:
 * Establecer y Administrar Tus Ciudades... - Muestra o permite establecer las ciudades actuales en una lista.
 * Establecer una ciudad temporal... - Muestra y permite establecer una ciudad temporal en una lista si está disponible.
"* Documentación - Abrir el archivo de ayuda para el IDIOMA actual.
 * Buscar Actualización... - Indicar si se dispone de una versión actualizada.

Para añadir una nueva Ciudad: pulsa el siguiente elemento:

* Establecer y Administrar Tus Ciudades... - Muestra o permite establecer
  las ciudades actuales en una lista.
* ¡El siguiente mensaje se muestra sólo por primera vez! Configuración
  Predeterminar Ninguno F1: ayuda con la localización, F2: última selección
  con TAB, F3: lista y cuadro de edición, F4: control de la duración del
  Pronóstico del Tiempo, F5: controles de volumen.
* En el cuadro de edición, ingresar una Ciudad o elegir una de la
  lista, si está disponible. Nota: La tecla F5 está disponible si están
  activados los efectos de sonido.
* Después de pulsar Intro en el elemento "Establecer y Administrar Tus
  Ciudades...", puedes encontrar otros botones como sigue:
* Prueba - Prueba la validéz de la ciudad y encuentra los datos de esta.
* Añadir - Añade la ciudad actual a tu lista. Este botón se activa si
  selecciona una ciudad en la lista, o ha pasado la prueba.
* Detalles - Muestra información sobre la ciudad actual. Este botón se
  activa si selecciona una ciudad en la lista, o ha pasado la prueba.
* Definir - Te permite de definir la zona, con el fin de adaptar los efectos
  de sonido. Este botón se activa Si los efectos de audio están instalados,
  y activados, y seleccionas una ciudad en la lista.
* Predeterminar - Predetermina la ciudad actual por defecto, se usará cada
  vez que reinicies el complemento. Este botón se activa si selecciona una
  ciudad previamente insertada en la lista y no predeterminada, o ha pasado
  la prueba.
* Quitar - Eliminar la ciudad actual de tu lista. Este botón se activa si
  selecciona una ciudad previamente insertada en la lista.
* Renombrar - Renombrar una ciudad actual. Este botón se activa si
  selecciona una ciudad previamente insertada en la lista.
* Importar las nuevas ciudades... - Este botón te permite importar las
  ciudades de otra lista de ciudades con la extensión *.zipcodes; puedes
  seleccionar la ciudad que desea importar, activando la casilla de
  verificación asociada.
* Exportar tus ciudades... - Permite guardar las ciudades en el archivo
  especificado con la extensión * .zipcodes. Este botón se activa si tienes
  añadido y guardado al menos una ciudad en la lista.
* Configuración del pronóstico horario... - Este botón te permite elegir loscontenidos del boletín del pronóstico horario.
* Escala de medición de la temperatura: Utiliza los botones de opciones para
  seleccionar entre Celsius (por defecto), Fahrenheit y Kelvin.
* Indica los grados como: Utiliza los botones de opciones para seleccionar
  entre: Celsius `-` Fahrenheit `-` Kelvin (por defecto) C `-` F `-` K o No
  especificado.
* Cuadro combinado: Pronóstico del Tiempo hasta días: 1; elija entre 1 a 3
  (1 días por defecto)
* Cuadro combinado: Idioma de respuesta de la API: English, en; elija el idioma del texto de las condiciones del tiempo.
* Para llevar a cabo las siguientes acciones, activar y desactivar las
  siguientes casillas de verificación:
* Copia el reporte del clima y el pronóstico del tiempo, incluyendo los
  detalles de la ciudad al portapapeles; casilla de verificación no marcado
  (por defecto)
* Habilitar efectos de audio (sólo para las condiciones del tiempo
  actuales); esta casilla de verificación también te permite gestionar la
  instalación de los efectos de audio; si los efectos de audio están
  instalados y la casilla de verificación está activada, la tecla F5 y el
  parámetro del volumen está disponible.
* También estará disponible una casilla de verificación adicional: "Usa solo
  efectos del tiempo".
* Puedes cambiar el volumen general o cambiar el último efecto de audio
  escuchado y filtrar los otros efectos de audio en tu entorno. Esta casilla
  de verificación no está marcado por defecto.
* Usa solo efectos del tiempo - Esta opción está disponible si los efectos
  de audio están habilitados; si está habilitado, permite escuchar solo los
  efectos del tiempo como lluvia, viento, truenos, etc., filtrando todos los
  efectos ambientales. (no marcado por defecto)
* Habilitar la lectura de las horas en formato 24-horas. - Si esta casilla
  de verificación está deshabilitado anuncia la hora en formato 12-horas,
  ejemplo: 12 AM `-` 12 PM. Esta casilla de verificación está marcado (por
  defecto)
* Habilitar botones de ayuda en la ventana de configuración; casilla de
  verificación marcado (por defecto)
* Leer la información del viento; casilla de verificación no marcado (por
  defecto). Si está habilitado esta casilla de verificación, también puede
  activar las siguientes casillas de verificación:
* Añadir dirección del viento; indica la procedencia del viento. Casilla de
  verificación marcado (por defecto)
* Añadir velocidad del viento; indica la velocidad en kilómetros o millas
  por hora. Casilla de verificación marcado (por defecto)
* Añadir velocidad en metros por segundo del viento; casilla de verificación
  marcado (por defecto)
* Añadir velocidad de ráfaga del viento; casilla de verificación marcado (por defecto)
* Añadir temperatura percibida; casilla de verificación marcado (por
  defecto)
* Leer la información atmosférica; casilla de verificación no marcado (por
  defecto). Si está habilitado, también puede activar las siguientes
  casillas de verificación:
* Añadir valor de humedad; indica la humedad en porcentaje. Casilla de
  verificación marcado (por defecto)
* Añadir valor de visibilidad; indica en kilómetros o millas la distancia
  visible. Casilla de verificación marcado (por defecto)
* Añadir valor de la presión atmosférica; indica la presión atmosférica en
  milibares o pulgadas de mercurio. Si está habilitado, activa una casilla
  de verificación adicional que te permite indicar la presión en milímetros
  de mercurio. Casilla de verificación marcado (por defecto)
* Añadir valor de nubosidad; casilla de verificación marcado (por defecto)
* Añadir valor de precipitación; casilla de verificación marcado (por defecto)
* Añadir valor de radiación ultravioleta; casilla de verificación marcado (por defecto)
* Leer la información astronómica; indica la hora de salida y puesta del sol y la hora de salida y puesta de la luna. Casilla de verificación no marcado (por defecto)
* Utiliza la coma para separar los décimales; si está habilitado, utiliza la
  coma como un separador decimal, de lo contrario, utiliza el punto. Casilla
  de verificación no marcado (por defecto)
* Muestra la salida en una ventana; si está habilitado, muestra el pronóstico en una ventana.
  Casilla de verificación no marcado (por defecto)
* Buscar Actualización; si está habilitado, este da una alerta cuando hay
  una actualización del complemento. Casilla de verificación marcado (por
  defecto)
* Pulsa el botón Aceptar para confirmar la acción o el botón Cancelar para
  anular la acción.
* Si has modificado la lista de ciudades, pulsando "Cancelar", se te
  recordará y podrás guardarla. Nota: tu configuración será guardada en el
  archivo llamado:
* "Weather.ini": configuración de inicio de Weather Plus.
* "Weather.volumes": niveles de volumen de audio personalizado, cualquiera
  que sea el volumen general.
* "Weather.zipcodes": lista de las ciudades con su código postal y
  definiciones.
* "Weather.default": Tu ciudad por defecto.
* "Weather_searchkey": clave de búsqueda guardada.

--------------------------------------------------------------------------------

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=Weather_Plus

