# Weather Plus #

* Autor: Adriano Barbieri
* Compatibilidade con NVDA: 2017.3 en diante
* Descargar [versión estable][1]

# ACERCA DE WEATHER PLUS: #

* Este complemento engade a temperatura local e o pronóstico do tempo actual a 24 horas e ata 2 días adicionais e a previsión por horas para NVDA.
* Copyright (C) [Adriano Barbieri](mailto:adrianobarb@yahoo.it)
* Liberado baixo a licenza GNU GPL (General Public License) v2
* Weather Plus funciona a través da presenza e funcionamento dos seguintes
  servizos:
* [https://www.weatherapi.com/](https://www.weatherapi.com/)
* [http://www.geonames.org/](http://www.geonames.org/)
* [https://api.open-meteo.com/v1/elevation/](https://api.open-meteo.com/v1/elevation/)
* [https://www.nvda.it/](https://www.nvda.it/)

# USO: #

* Preme NVDA+w para obter a información sobre temperatura e condicións
  climáticas.
* Preme NVDA+shift+W para obter a predición a 24h e ata 2 días.
* Preme NVDA+shift+W dúas veces para obter a previsión por horas da temperatura e condicións atmosféricas.
* Preme NVDA+ shift+ control+w para establecer unha cidade temporal.
* Premae NVDA+shift+control+alt+w para abrir o diálogo de configuración do
  Weather Plus.
* Preme NVDA+alt+w para obter a data e hora, na que se actualizou a
  información do tempo.
* Preme control+shift+w para alternar entre as escalas de temperatura
  Fahrenheit, Celsius e Kelvin.

# Primeira configuración de Weather Plus: #

* Debes configurar Weather Plus antes do seu primeiro uso! Vai ao submenú Preferencias, submenú Opcións de Weather Plus e escolle unha das opcións seguintes:
 * Establecer e administrar as súas cidades... - Mostra ou permite establecer as cidades actuais dende unha lista
 * Documentación - Abre o arquivo de axuda para a lingua actual.
 * Verificar actualizacións... - Notifica se hai unha versión actualizada dispoñible.

Para engadir unha nova cidade: preme o elemento seguinte:

* Establecer e administrar as súas cidades... - Mostra ou permite establecer
  a cidade actual dende unha lista.
* A seguinte mensaxe só se amosa a primeira vez! Preaxuste Ningún f1: axuda,
  f2: selección da última lapela, f3: lista e caixa de edición, f4:
  controlar duración do pronóstico meteorolóxico, f5: controis de volume.
* Na caixa de edición, introduce unha cidade ou selecciona unha da
  lista, se está dispoñible. Nota: A tecla F5 está dispoñible se os efectos
  de son están activados.
* Despois de premer enter sobre o elemento "Establecer e administrar as súas
  cidades...", acharás a continuación outros botóns como segue:
* Probar - proba a validez da cidade e busca os seus datos.
* Engadir - engade a cidade actual á túa lista. Este botón pódese activar se
  seleccionas unha cidade dende a lista, e ésta pasou a comprobación.
* Detalles - amosa información sobre a cidade actual. Este botón pódese
  activar se seleccionas unha cidade dende a lista, e esta pasou a
  comprobación.
* Definir - Permíteche definir a área, para adaptar os efectos de son. Este
  botón pódese activar se os efectos de audio están instalados e activos, e
  se seleccionas unha cidade da lista.
* Prestablecer - Configura unha cidade como predeterminada, que será usada
  cada vez que reinicies esta extensión. Este botón está activado se
  seleccionas unha cidade previamente insertada na lista e non
  preseleccionada, ou se pasou a proba.
* Eliminar - Elimina a cidade actual da túa lista. Este botón pódese activar
  se seleccionas unha cidade previamente insertada na lista.
* Renomear - Renomear a cidade actual. Este botón pódese activar se
  seleccionou unha cidade previamente insertada na lista.
* Importar cidades... - Este botón permite a incorporación á túa lista de
  novas cidades importándoas dende un arquivo con extensión *.zipcodes;
  podes seleccionar a cidade que desexas importar, activando a caixa de
  verificación asociada coa mesma.
* Exportar as súas cidades... - Permíteche garcar as cidades no arquivo
  especificado coa extensión *.zipcodes. Este botón está activo se engadiu e
  gardou alomenos unha cidade á lista.
* opción de previsión por horas... - Este botón permíteche escoller o contido do informe da previsión por horas.
* Escala de temperatura: Utiliza o botón de opción para seleccionar entre
  Celsius (por defecto), Fahrenheit e Kelvin.
* Graos mostrados coma: Utiliza o botón de opción para seleccionar entre:
  Celsius `-` Fahrenheit `-` Kelvin (por defecto) C `-` F `-` K ou sen
  especificar.
* Caixa combinada: Previsión meteorolóxica ata días: 1; Podes escoller de 1
  a 3 (1 días por defecto)
* Caixa combinada: idioma de resposta da API: inglés, en; podes escoller o idioma do texto coas condicións do tempo.
* Para realizar as seguintes accións, modifique as seguintes caixas de
  verificación:
* Copia o reporte do clima e o pronóstico do tempo, incluíndo os detalles da
  cidade ao portapapeis; caixa de verificación non marcada (por defecto)
* Habilitar Efectos de son (só para as condicións actuais do clima); Esta
  caixa de verificación tamén che permite xestionar a instalación dos
  efectos de son; Se os efectos de son están instalados e a caixa de
  verificación activada, dispoñibilizaranse a tecla f5 e o control de
  volume.
* Tamén estará dispoñible unha caixa de verificación adicional: Utilizar só
  efectos do tempo.
* Pode cambiar o volume xeral ou o do último son escoitado e filtrar outros
  sons no seu entorno. A caixa de verificación non está marcada por defecto.
* Utilizar só efectos do tempo; Esta opción está dispoñible se os efectos de
  son están habilitados; Se se habilita, permite escoitar só efectos de
  tempo como choiva, vento, raio, etc., filtrando todos os
  ambientais. (desmarcada por defecto)
* Habilitar a lectura das horas en formato de 24 horas. - Se non está
  marcado, anuncia en formato de 12h, por exemplo, 12AM/12PM. A caixa de
  verificación está marcada (por defecto)
* Habilitar botóns de axuda na ventá de configuración; caixa de verificación
  marcada (por defecto)
* Ler informacion do vento; caixa de verificación non marcada (por
  defecto). Se esta caixa de verificación está activada, tamén poderás
  activar as seguintes:
* Engadir dirección do vento; Indica de onde provén o vento. Caixa de
  verificación marcada (por defecto)
* Engadir velocidad do vento; indicates engade a velocidade do vento en
  quilómetros ou millas por hora. Caixa de verificación marcada (por
  defecto)
* Engadir velocidade do vento en metros por segundo; caixa de verificación
  marcada (por defecto)
* Engadir velocidade da racha de vento; caixa de verificación marcada (por defecto)
* Engadir sensación térmica; caixa de verificación verificada (por defecto)
* Ler información atmosférica; caixa de verificación non marcada (por
  defecto). Se está habilitada, tamén podes marcar as seguintes caixas de
  verificación:
* Engadir valor da humidade; Indica a humidade en por cento. Caixa de
  verificación marcada (por defecto)
* Engadir valor de visibilidade; Indicar en quilómetros ou millas a
  distancia visible. Caixa de verificación marcada (por defecto).
* Engadir valor de presión atmosférica; indica o valor da presión
  atmosférica en milibares ou polgadas de mercurio. Se está marcada,
  habilita unha caixa de verificación adicional que permite indicar a
  presión en milímetros de mercurio. Caixa de verificación marcada (por
  defecto)
* Engadir valor de nubosidade; caixa de verificación marcada (por defecto)
* Engadir valor de precipitación; caixa de verificación marcada (por defecto)
* Engadir valor de radiación ultravioleta; caixa de verificación marcada (por defecto)
* Ler información astronómica; indica as horas de saída e posta do sol e da lúa. Caixa de verificación non marcada (por defecto)
* Usar a coma como separador de decimais; Se está habilitado, utiliza a coma
  coma separador decimal, doutro xeito utilízase o punto. Caixa de
  verificación non marcada (por defecto).
* Mostra a saída nunha xanela; Se está habilitado, mostra a previsión nunha xanela.
  Caixa de verificación non marcada (por defecto).
* Verificar actualizacións; Se está activa, notifica cando estea dispoñible
  unha actualización para o complemento. Caixa de verificación marcada (por
  defecto)
* Prema o botón de Aceptar para confirmar a acción, Cancelar para cancelala.
* Se modificaches a lista de cidades, premendo "Cancelar" serás advertido e
  aínda poderás gardala:
* "Weather.ini": configuración de inicio do Weather Plus.
* "Weather.volumes": niveis de volume de audio personalizado, calqueira que
  sexa o volume xeral do sistema.
* "Weather.zipcodes": lista de cidades cos seus códigos postais e
  definicións.
* "Weather.default": A túa cidade por defecto.
* "Weather_searchkey": tecla de busca gardada.

--------------------------------------------------------------------------------

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=Weather_Plus

