# Weather Plus #

* Autor: Adriano Barbieri
* Compatibilidade com o NVDA: 2017.3 en diante
* Baixar: [Versão Estável][1]

# SOBRE O WEATHER PLUS: #

* Este plug-in para o NVDA fornece temperatura local e previsões do
  tempo  de 24 horas até 2 dias adicionais e previsão horária.
* Copyright (C) [Adriano Barbieri](mailto:adrianobarb@yahoo.it)
* Lançado sob a licença GNU GPL (General Public License — Licença Pública
  Geral) v2
* O Weather Plus funciona com base na utilização e presença dos seguintes
  serviços:
* [https://www.weatherapi.com/](https://www.weatherapi.com/)
* [http://www.geonames.org/](http://www.geonames.org/)
* [https://api.open-meteo.com/v1/elevation/](https://api.open-meteo.com/v1/elevation/)
* [https://www.nvda.it/](https://www.nvda.it/)

# USO: #

* Pressione NVDA+w para obter informações sobre a temperatura atual e as
  condições climáticas.
* Pressione NVDA+shift+W para obter uma previsão de 24 horas e previsão de
  até 2 dias.
* Pressione NVDA+shift+W duas vezes para obter uma previsão horária de temperatura e condições atmosféricas.
* Pressione NVDA+shift+control+w para definir uma cidade temporária.
* Pressione NVDA+shift+control+alt+w para abrir o diálogo de configurações
  do Weather Plus.
* Pressione NVDA+alt+w para obter a data e a hora em que o boletim
  meteorológico foi atualizado.
* Pressione control+shift+w para alternar entre as escalas de temperatura
  Fahrenheit, Celsius ou Kelvin.

# Configuração do Weather Plus: #

* Você deve configurar o complemento Weather Plus antes de seu primeiro uso! Vá para o submenu Preferências, submenu Configurações do Weather Plus e escolha uma das seguintes opções:
 * Defina e Gerencie Suas Cidades... - Exibe ou permite definir a cidade atual numa lista.
 * Definir uma cidade em modo temporário... - Exibe e permite definir uma cidade temporária duma lista, se disponível.
 * Documentação - Abre o arquivo de ajuda para o idioma atual.
 * Verificar se há atualização... - notifica sobre a disponibilidade da nova versão.

Para adicionar uma nova cidade: pressione o seguinte item:

* Defina e Gerencie Suas Cidades... - Exibe ou permite definir a cidade
  atual numa lista.
* A seguinte mensagem é exibida apenas pela primeira vez! Configurações
  Predefinição Nenhuma F1: ajuda na localização, F2: seleção do último TAB,
  F3: lista e caixa de edição, F4: controle da duração da previsão do tempo,
  F5: controles de volume.
* Na caixa de edição, digite uma cidade ou escolha uma da lista, se disponível. Nota: A tecla F5 estará
  disponível se os efeitos sonoros estiverem ativados.
* Depois de pressionar enter no item "Defina e Gerencie Suas Cidades...",
  você encontrará outros botões, como a seguir:
* Testar - Testa a validade da cidade e localiza os dados dela.
* Adicionar - Adiciona a cidade atual à sua lista. Este botão pode ser
  ativado se você selecionar uma cidade da lista, quando a cidade inserida
  passou no teste.
* Detalhes - Exibe informações sobre a cidade atual. Este botão é ativado se
  você selecionar uma cidade da lista ou se passou no teste.
* Definir - Permite definir a área, a fim de adaptar os efeitos
  sonoros. Este botão pode ser ativado se os efeitos de áudio estiverem
  instalados e ativados, e você selecionar uma cidade da lista.
* Predefinir - Predefine uma cidade como padrão, será usada sempre que você
  reiniciar o plug-in. Este botão é ativado se você selecionar uma cidade
  inserida anteriormente na lista e não predefinida, ou se passou no teste.
* Remover - exclue a cidade atual da sua lista. Este botão pode ser ativado
  se você selecionar uma cidade inserida anteriormente na lista.
* Renomear - renomeia a cidade atual. Este botão pode ser ativado se você
  selecionar uma cidade inserida anteriormente na lista.
* Importar novas cidades... - Este botão permite importar cidades de outra
  lista de cidades com a extensão *.zipcodes; você pode selecionar a cidade
  que deseja importar, ativando a caixa de seleção associada a ela.
* Exportar suas cidades... - Permite salvar as cidades no arquivo
  especificado com a extensão *.zipcodes. Este botão é ativado se você
  adicionou e salvou pelo menos uma cidade na lista.
* configuração de previsão horária... - Este botão permite que você escolha o conteúdo do relatório de previsão horária.
* Escala de medição de temperatura: use o botão de opção para selecionar
  entre Celsius (por padrão), Fahrenheit e Kelvin.
* Graus mostrados como: Use o botão de opção para selecionar entre: Celsius
  `-` Fahrenheit `-` Kelvin (por padrão) C `-` F `-` K ou Não Especificado.
* Caixa de combinação: Previsões do Tempo até dias: 1; você pode escolher
  entre 1 a 3 (1 dia por padrão)
* Caixa de combinação: Idioma de resposta da API: Inglês, en; você pode escolher o idioma do texto das condições meteorológicas.
* Para executar as seguintes ações, alterne as seguintes caixas de seleção:
* Copia o boletim meteorológico e a previsão do tempo, incluindo os detalhes
  da cidade para a área de transferência; caixa de seleção não marcada (por
  padrão)
* Habilitar efeitos de áudio (apenas para as condições climáticas atuais);
  essa caixa de seleção também permite gerenciar a instalação de efeitos
  sonoros; se os efeitos sonoros estiverem instalados e a caixa de seleção
  estiver ativada, a tecla F5 e a configuração do volume ficam disponíveis.
* Também estará disponível uma caixa de seleção adicional: "Use apenas
  efeitos climáticos".
* Pode alterar o volume geral ou o último efeito sonoro ouvido e filtrar os
  outros sons em seu ambiente. A caixa de seleção não está marcada por
  padrão.
* Use apenas efeitos climáticos - Esta opção estará disponível se os efeitos
  sonoros estiverem ativados; se estiver ativado, permite ouvir apenas
  efeitos climáticos, como chuva, vento, trovão, etc., filtrando todos os
  efeitos ambientais. (desmarcado por padrão)
* Habilitar a leitura das horas no formato de 24 horas. - Se esta caixa de
  controle estiver desmarcada, anuncia a hora no formato de 12 horas, por
  exemplo, 12 AM `-` 12 PM. A caixa de seleção está marcada (por padrão)
* Habilitar os botões de ajuda na janela de configurações; caixa de seleção
  marcada (por padrão)
* Ler as informações do vento; caixa de seleção não marcada (por padrão). Se
  esta caixa de seleção estiver ativada, você também poderá ativar as
  seguintes caixas de seleção:
* Adicionar direção do vento; indica a procedência do vento. Caixa de
  seleção marcada (por padrão)
* Adicionar velocidade do vento; indica a velocidade em quilômetros ou
  milhas por hora. Caixa de seleção marcada (por padrão)
* Adicionar velocidade em metros por segundo do vento; caixa de seleção
  marcada (por padrão)
* Adicionar velocidade da rajada do vento; caixa de seleção marcada (por padrão)
* Adicionar sensação térmica; caixa de seleção marcada (por padrão)
* Ler informações atmosféricas; caixa de seleção não marcada (por
  padrão). Se ativada, você também pode marcar as seguintes caixas de
  seleção:
* Adicionar valor de umidade; indica a umidade em porcentagem. Caixa de
  seleção marcada (por padrão)
* Adicionar valor de visibilidade; indica em quilômetros ou milhas a
  distância visível. Caixa de seleção marcada (por padrão)
* Adicionar valor da pressão atmosférica; indica a pressão atmosférica em
  milibares ou polegadas de mercúrio. Se estiver marcada, habilita uma caixa
  de seleção adicional que permite indicar a pressão em milímetros de
  mercúrio. Caixa de seleção marcada (por padrão)
* Adicionar valor de nebulosidade; caixa de seleção marcada (por padrão)
* Adicionar o valor da precipitação; caixa de seleção marcada (por padrão)
* Adicionar o valor da radiação ultravioleta; caixa de seleção marcada (por padrão)
* Ler informações astronômicas; indica a hora do nascer e do pôr do sol e a hora do nascer e do pôr da lua. Caixa de seleção não marcada (por padrão)
* Use a vírgula para separar decimais; se ativado, usa a vírgula como um
  separador decimal; caso contrário, usa o ponto. Caixa de seleção não
  marcada (por padrão)
* Exibe a saída em uma janela; se ativado, isso exibe a previsão em uma janela.
  Caixa de seleção nãomarcada (por padrão)
* Verificar se há atualização; se estiver ativada, este alerta quando houver
  uma atualização do complemento. Caixa de seleção marcada (por padrão)
* Pressione "ok", para confirmar as configurações ou "cancelar", para as
  rejeitar.
* Se você modificou a lista de cidades, pressionando "Cancelar", você será
  lembrado e ainda poderá salvá-la. Nota: suas configurações serão salvas no
  arquivo chamado:
* "Weather.ini": As configurações iniciais do weather plus.
* "Weather.volumes": níveis de volume de áudio personalizados,
  independentemente do volume total.
* "Weather.zipcodes": lista de cidades com o seu código de área e
  definições.
* "Weather.default": Sua cidade padrão.
* "Weather_searchkey": chave de pesquisa salva.

--------------------------------------------------------------------------------

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=Weather_Plus

