# Weather Plus #

* Autor: Adriano Barbieri
* Compatibilidade com NVDA: 2017.3 e seguintes
* Descarregar [versão estável][1]

# Acerca do WEATHER PLUS: #

* Este extra para o NVDA fornece a temperatura local e a previsão do tempo actual para as próximas 24 horas, para até os próximos dois días adicionais  e a previsão horária para o próprio dia.
* Copyright (C) [Adriano Barbieri](mailto:adrianobarb@yahoo.it)
* Lançado sob a licença GNU GPL (General Public License) v2

# O Weather Plus funciona com base na utilização e presença dos seguintes
  serviços:
* [https://www.weatherapi.com/](https://www.weatherapi.com/)
* [http://www.geonames.org/](http://www.geonames.org/)
* [https://api.open-meteo.com/v1/elevation/](https://api.open-meteo.com/v1/elevation/)
* [https://www.nvda.it/](https://www.nvda.it/)

# Utilização #
* Pressione NVDA+w para ouvir a temperatura e as condições atmosféricas actuais;
* Pressione NVDA + shift + W para obter as condições atmosféricas das próximas 24 horas e dos próximos 2 dias.
* Pressione NVDA+shift+W duas vezes para obter uma previsão horária da temperatura e das condições atmosféricas.
* Pressione NVDA+shift+ctrl +w para definir uma cidade em modo temporário;
* Pressione NVDA+shift+control+alt+w Para abrir a janela de configurações do weather plus;
* Pressione NVDA+alt+w para ouvir a data da última actualização das condições atmosféricas.
* Pressione control+shift+w para alternar entre Fahrenheit, Celsius ou Kelvin.

# Configuração do Weather Plus: #

* Deve configurar o Weather Plus antes da sua primeira utilização!
Ir para o submenu Preferências, configurações do Weather Plus e escolher uma das seguintes opções:
 * Configurações gerais... - Apresenta ou permite definir a cidade actual a partir de uma lista.
 * Definir uma cidade temporária... - Mostra e permite definir uma cidade temporária de uma lista, se disponível.
 * Documentação - Abre o ficheiro de ajuda para a língua actual.
 * Verificar actualizações... - Notifica sobre a disponibilidade da existência de nova versão.

Para acrescentar uma nova cidade: prima o seguinte item:
* Configurações gerais... - Apresenta ou permite definir a cidade actual a partir de uma lista.

* A seguinte mensagem é apresentada apenas na primeira utilização!
Configurações (Nenhuma predefinição) F1: ajuda à localização, F2: selecção do último tab, F3: listas e caixas combinação, F4: controlo da duração da previsão do tempo, F5: controlos do volume.

* Na caixa de edição, introduza uma Cidade ou escolha uma da lista, se disponível.
Nota: A tecla F5 está disponível se os efeitos sonoros estiverem activados.

* Depois de pressionar enter na opção "Configurações Gerais" encontrará os seguintes botões:

* Testar - Testar a validade da cidade e encontrar os dados da mesma;

* Adicionar - Adiciona a cidade actual à sua lista.
Este botão pode ser activado se seleccionar uma cidade da lista, ou quando a cidade introduzida passou no teste.

* Detalhes - Apresenta informação sobre a cidade actual.
Este botão é activado se seleccionar uma cidade da lista, ou se esta tiver passado no teste.

* Definir - Permite definir a área, de modo a adaptar os efeitos sonoros.
Este botão pode ser activado se os efeitos sonoros forem instalados e activados, e seleccionar uma cidade da lista.

* Predefinir - definir uma cidade como padrão, que será utilizada cada vez que reiniciar o extra.
Este botão é activado se seleccionar uma cidade previamente inserida na lista e não pré-definida, e se esta tiver passado no teste.

* Remover - Elimina a cidade actual da sua lista.
Este botão pode ser activado se seleccionar uma cidade previamente inserida na lista.

* Renomear - Renomear a cidade actual.
Este botão pode ser activado se se seleccionar uma cidade previamente inserida na lista.

* Importar novas cidades... - Este botão permite-lhe importar cidades de outra lista de cidades com a extensão *.zipcodes;
pode seleccionar a cidade que pretende importar, marcando a respectiva caixa de verificação.

* Exportar as suas cidades... - Permite-lhe guardar as cidades no ficheiro especificado com a extensão *.zipcodes.
Este botão é activado se tiver adicionado e guardado pelo menos uma cidade na lista.

* Configuração das previsões horárias... - Este botão permite que escolha o conteúdo do relatório de previsão por hora.

* Escala de medição da temperatura: permite Utilizar os botões de rádio para seleccionar entre Celsius (por padrão), Fahrenheit e Kelvin.

* Mostrar os graus como: Use os botões de rádio para seleccionar entre: Celsius `-` Fahrenheit `-` Kelvin (por padrão) C `-` F `-` K ou não especificado.

* Caixa de Combinação: Previsão do tempo até dias: 1; pode escolher entre 1 a 3 (1 dia por padrão)

* Caixa de Combinação: Idioma de resposta da API: Inglês, pt; pode escolher o idioma do texto das condições meteorológicas.

* Para realizar as acções, marque ou desmarque as seguintes caixas de verificação:

* Copiar o boletim meteorológico e a previsão do tempo, incluindo detalhes da cidade para a área de transferência; caixa de verificação não marcada (por padrão)

* Activar efeitos de som (apenas para as condições meteorológicas actuais); esta caixa de verificação também permite gerir a instalação de efeitos sonoros; se os efeitos sonoros forem instalados e a caixa de verificação for marcada, a tecla F5 e a definição do volume tornam-se disponíveis.

* Estará também disponível uma caixa de verificação adicional: "Usar apenas efeitos climáticos".

* Ppode alterar o volume geral ou modificar o último efeito de som ouvido e filtrar os outros sons do seu ambiente.

* Utilizar apenas efeitos climáticos - Esta opção está disponível se os efeitos sonoros estiverem activados; se estiver activada, permite ouvir apenas efeitos climáticos como chuva, vento, trovões, etc., filtrando todos os efeitos ambientais. (desmarcado por defeito)

* Permitir a leitura das horas em formato de 24 horas. - Se esta caixa de verificação estiver desmarcada, anuncia a hora no formato das horas com A M e P M.
A caixa de verificação é marcada (por padrão)

* Activar botões de ajuda na janela de configurações; caixa de verificação marcada (por padrão)

* Ler informação sobre o vento; caixa de verificação não marcada (por padrão). Se esta caixa de verificação estiver marcada, pode também activar as seguintes caixas de verificação:

* Adicionar a direcção do vento; indica a proveniência do vento. Caixa de verificação marcada (por padrão)

* Adicionar a velocidade do vento; indica a velocidade em quilómetros ou milhas por hora. Caixa de verificação marcada (por padrão)

* Adicionar a velocidade do vento em metros por segundo; caixa de verificação marcada (por padrão)

* Adicionar a velocidade das rajadas de vento; Caixa de verificação marcada, por padrão.

* Adicionar sensação térmica. Caixa de verificação marcada, por padrão.

* Ler informação atmosférica; caixa de verificação não marcada (por padrão).
Se marcada, pode também marcar as seguintes caixas de verificação:

* Adicionar valor da humidade; indica a humidade em percentagem. Caixa de verificação marcada (por padrão)

* Adicionar valor da visibilidade; indica em quilómetros ou milhas a distância visível. Caixa de verificação marcada (por padrão)

* Adicionar o valor da pressão atmosférica; indica a pressão atmosférica em milibares ou polegadas de mercúrio.
Se marcada, activa uma caixa de verificação adicional que lhe permite indicar a pressão em milímetros de mercúrio. Caixa de verificação marcada (por padrão)

* Adicionar valor da nebulosidade. Caixa de verificação marcada, por padrão.

* Adicionar valor da precipitação. Caixa de verificação marcada, por padrão.

* Adicionar valor da radiação ultravioleta. Caixa de verificação marcada, por padrão.

* Ler informação astronómica; indica a hora do nascer e do pôr-do-sol e a hora do nascer e do pôr-da-lua. Caixa de verificação não marcada (por defeito)

* Usar a vírgula para separar as décimas; se marcada, é usada a vírgula como separador decimal, caso contrário, será usado o ponto. Caixa de verificação não marcada (por padrão)

* Mostra os resultados numa janela; Se activada, mostra as previsões numa janela.
Caixa de verificação não marcada, por padrão.

* Verificar actualizações; se for activada esta opção será alertado quando houver uma actualização do extra. Caixa de verificação marcada (por padrão)

* Pressione "ok", para confirmar as configurações ou "cancelar", para as rejeitar.

* Se tiver modificado a lista de cidades, pressionando "Cancelar", será lembrado e ainda poderá guardá-la.
Nota: As suas configurações serão guardadas no ficheiro chamado:

* "Weather.ini": As configurações iniciais do weather plus.
* "Weather.volumes": níveis de volume de áudio personalizados, independentemente do volume total.
* "Weather.zipcodes": lista de cidades com o seu código postal e definições.
* "Weather.default": A sua cidade predefinida.
* "Weather_searchkey": Chave de pesquisa guardada.

--------------------------------------------------------------------------------

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=Weather_Plus

